<html>
<h2>Generating Question and Answer Papers</h2>

<?php
	//$host = '117.232.76.117';
	//$port = '6543';
	$db = 'cuqbank';
	$host = 'localhost';
	$port = "5432";	
	$passwd = "rea123";
	
	// Collect the values from the HTML form
	echo "entering";
	$courseCode = $_POST["code"]; 
	//$passwd = $_POST["passwd"]; 
	$year =  $_POST["examYear"]; 
	$month = $_POST["examMonth"]; 
	$qpcode = $_POST["qpCode"]; 
	if ($courseCode == "") die("No Course selected");	// Error check the form inputs
	if ($passwd == "") die("No password specified");
	if ($year == "") $year = "2025";
	if ($month == "") $month = "---";
	if ($qpcode == "") $qpcode = "---";

	chdir('outputs');	 
	foreach(glob($courseCode."*") as $f) unlink($f);

	// Call qpmodule.py
	$retArr = null;
	$retval = null;
	$cmd =  "python3 ../qpmodule.py"." ".$host." ".$port." ".$db." ".$courseCode." ".$passwd." ".$year." ".$month." ".$qpcode;
	echo $cmd;
	exec($cmd, $retArr, $retVal);	
	if ($retVal != 0) {
		echo "Failed to generate the Question paper. Python returned Error<br>";
		echo "View the <a href=outputs/".$courseCode.".txt>Log file</a>Log File<br>";
		exit;
		}	
	
	// Call xelatex to compile Question paper
	$retArr = null;
	$retval = null;
	exec("/usr/bin/xelatex -halt-on-error " . $courseCode . ".tex" , $retArr, $retVal);	
	exec("/usr/bin/xelatex -halt-on-error " . $courseCode . ".tex" , $retArr, $retVal);	
	if ($retVal != 0) {
		echo "Question paper LaTex compilation Error.<br>"; 
		echo "View the <a href=outputs/".$courseCode.".log>Log file</a> from xelatex.<br>";
		exit;
		}	
		
	// Call xelatex to compile Answer sheet
	exec("/usr/bin/xelatex -halt-on-error " . $courseCode . "_ANS.tex" , $retArr, $retVal);	
	exec("/usr/bin/xelatex -halt-on-error " . $courseCode . "_ANS.tex" , $retArr, $retVal);	
	if ($retVal != 0) {
		echo "Answer keys LaTex compilation Error.<br>"; 
		echo "View the <a href=outputs/".$courseCode.".log>Log file</a> from xelatex.<br>";
		exit;
		}	
			
	$sss = file_get_contents($courseCode.".txt");
	echo nl2br($sss);
	echo "Generated PDF from the LaTex files.<br>";
	echo '<h4>Download the <a href=outputs/'.$courseCode.'.pdf>Question paper</a> and the <a href=outputs/'.$courseCode.'_ANS.pdf>Answer Keys</a></h4>';

	
	// Record the activity

	$conn_string = "host=". $host. " port=" .$port. " dbname=".$db." user=dummy password=dum123";
	$db = pg_connect($conn_string);
	
	$client = "'".$_SERVER['REMOTE_ADDR']."'";
	$date =  "'".date("F j, Y, g:i a")."'";  
	$sss = "'".$courseCode."'";
	$sql = "insert into accesslog(code,ipaddr,timestamp) values($sss,$client,$date);";
	$ret = pg_query($db, $sql);	
	$ret = pg_query($db,"commit;");
?>

</html>
