import pathlib,sys,psycopg2
from pathlib import Path


myhost = 'localhost'
mydb = 'pcqbank'
myuser = mydb.lower()
myport = 5432
passwd = 'pcq*123'

# CSV file column offsets
SY = 0
INST = 1
CC1 = 2
CC2 = 3
CC3 = 4
DEG = 5
SEM = 6
LANG = 7
QPTYPE = 8
DUR = 9
NMODS = 10
FAC = 11
NAME = 12

spl1 = '#@$%^{}'
spl2 = '# @$&%^(){}'

conn = psycopg2.connect(host=myhost, database=mydb, user=myuser, password=passwd, port = myport)
cursor = conn.cursor()

sql =  'delete from coursedetails;'
cursor.execute(sql)

sql =  'select * from coursedetails order by code;'
cursor.execute(sql)
existing = []
res = cursor.fetchall()

print(len(res))
for row in res:
	existing.append(row[0])
	
def process(row):
	global count
	k = row.split(',')
	cc = k[CC1]
	print(k, cc)
	
	sql = "insert into coursedetails (syllabusyear,inst, code, code2, code3, degree,  semester, texlanguage, qpmodel, duration, nmodules, faculty, name) values ('%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s','%s','%s', '%s', '%s');\n"%(k[SY], k[INST], cc, k[CC2], k[CC3], k[DEG], k[SEM], k[LANG], k[QPTYPE], k[DUR], k[NMODS], k[FAC], k[NAME].strip())	
	cursor.execute(sql)
	
	sql = "CREATE TABLE %s(modnum int, unitnum varchar, qtype CHAR(1), qnum int, mark int, level VARCHAR, outcome varchar, author VARCHAR, qtext VARCHAR, atext VARCHAR, figname VARCHAR, figure bytea);\n"%cc
	print(sql)
	cursor.execute(sql)
	
	sql = "create user %s with password '%s';\n"%(cc.lower(), cc[8:11].lower()+'123')
	cursor.execute(sql)
	sql = 'grant all on table %s to %s;\n'%(cc,cc)
	cursor.execute(sql)
	sql = 'grant select on table %s to reader;\n'%(cc)
	cursor.execute(sql)
	
	conn.commit()
	print(count,cc)

count = 0
fn = 'coursedetails.csv'
f = open(fn)
f.readline()   # skip the first line
data = []
while 1:
	s = f.readline()
	if s == '': break
	data.append(s)
f.close()

for row in data:
	process(row)
	count += 1

print('Created %d courses'%count)
print('OLD ',len(res))
